Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

ci: add rails 3-2-stable and fix support for rails master

- Rails master version is now 4.0.0.beta.
- temp point ammeter at dchelimsky/ammeter to handle rails 4.
  • Loading branch information...
commit 3efe8f95296e6e681b006e9bbc61de237b15147b 1 parent 6a87a0b
@dchelimsky dchelimsky authored
Showing with 8 additions and 7 deletions.
  1. +1 −0  .travis.yml
  2. +3 −3 Gemfile
  3. +4 −4 rspec-rails.gemspec
View
1  .travis.yml
@@ -8,6 +8,7 @@ env:
- RAILS_VERSION=3.2.0.rc1
- RAILS_VERSION=3.1.3
- RAILS_VERSION=3.0.11
+ - RAILS_VERSION=3-2-stable
- RAILS_VERSION=3-1-stable
- RAILS_VERSION=3-0-stable
- RAILS_VERSION=master
View
6 Gemfile
@@ -26,7 +26,7 @@ group :development, :test do
end
group :test do
- gem 'ammeter', '~> 0.1'
+ gem 'ammeter', :git => "git://github.com/dchelimsky/ammeter.git", :branch => "rails-3-2-and-4-0"
end
eval File.read('Gemfile-custom') if File.exist?('Gemfile-custom')
@@ -39,8 +39,8 @@ when /master/
when /3-0-stable/
gem "rails", :git => "git://github.com/rails/rails.git", :branch => "3-0-stable"
gem "arel", :git => "git://github.com/rails/arel.git", :branch => "2-0-stable"
-when /3-1-stable/
- gem "rails", :git => "git://github.com/rails/rails.git", :branch => "3-1-stable"
+when /(3-(1|2)-stable)/
+ gem "rails", :git => "git://github.com/rails/rails.git", :branch => $1
else
gem "rails", version
end
View
8 rspec-rails.gemspec
@@ -11,7 +11,7 @@ Gem::Specification.new do |s|
s.email = "rspec-users@rubyforge.org"
s.homepage = "http://github.com/rspec/rspec-rails"
s.summary = "rspec-rails-#{RSpec::Rails::Version::STRING}"
- s.description = "RSpec-2 for Rails-3"
+ s.description = "RSpec for Rails"
s.rubyforge_project = "rspec"
@@ -22,9 +22,9 @@ Gem::Specification.new do |s|
s.rdoc_options = ["--charset=UTF-8"]
s.require_path = "lib"
- s.add_runtime_dependency(%q<activesupport>, ["~> 3.0"])
- s.add_runtime_dependency(%q<actionpack>, ["~> 3.0"])
- s.add_runtime_dependency(%q<railties>, ["~> 3.0"])
+ s.add_runtime_dependency(%q<activesupport>, [">= 3.0"])
+ s.add_runtime_dependency(%q<actionpack>, [">= 3.0"])
+ s.add_runtime_dependency(%q<railties>, [">= 3.0"])
if RSpec::Rails::Version::STRING =~ /[a-zA-Z]+/ # prerelease builds
s.add_runtime_dependency "rspec", "= #{RSpec::Rails::Version::STRING}"
else
Please sign in to comment.
Something went wrong with that request. Please try again.